import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.ancelad.Ambiance 1.0
import org.ancelad.GConf 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait
    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
            onClicked: Qt.quit()
        }
    }
	
	Component.onCompleted: {      
              roundAvatar.checked = gconf.get("/apps/ancelad/round_avatar", false)
    }
	
    Ambiance {
        id: ambiance
    }

    GConf {
        id: gconf
    }	

    function avatarSelected(path) {
        banner.notify("Выполнено! Примените изменения.")
        ambiance.shell("/usr/share/duicontrolpanel/avatarsettings/remove_avatar.sh", [path])
    }
	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height	
		
	Column {
        id: content
        spacing: 20
        width: parent.width
		
        DcpPageTitle {
                id: titleLabel
                text: "Настройки аватара"
            }

	        Label {
            text: "Скругленные аватары"
            anchors.right: parent.right
            horizontalAlignment: Text.AlignHRight
            wrapMode: Text.WordWrap
			font.pixelSize: 26
            }		
			
            MySwitch {
                id: roundAvatar
                anchors.right: parent.right
                onClicked: {
                       width: 64
                       height: 64
                    if (checked) {
					   gconf.set("/apps/ancelad/round_avatar", "true")
                       ambiance.shell("/usr/share/duicontrolpanel/avatarsettings/round_avatar.sh")
                       banner.notify("Выполнено! Примените изменения.")
                       }
                    else {
					   gconf.set("/apps/ancelad/round_avatar", "false")
                       ambiance.shell("/usr/share/duicontrolpanel/avatarsettings/round_avatar.sh")
                       banner.notify("Выполнено! Примените изменения.")
                    }
                   gconf.set("/apps/ancelad/round_avatar", checked)
                }
            }
			
         Label {
            text: "Если неактивно - аватары квадратные"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }
			
			Separator {
                title: ""
                color: "white"
				width: 500
            }
			
        Label {
            text: "Отключите телефон от ПК и скопируйте аватары в MyDocs"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }			
		
        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Копировать в MyDocs"
            onClicked: {
			    gconf.set("/apps/ancelad/enlargedavatar", "MyDocs")
			    ambiance.shell("/usr/share/duicontrolpanel/avatarsettings/avatar.sh")
				banner.notify("Выполнено!")
                }
            }

        Label { 
            text: "Подключите ваш телефон к компьютеру в режиме накопителя, найдите папку 'enlargedavatar'. Обрежьте оригинальную фотографию контакта до размера 480х480 (или больше, главное сохраняйте пропорции 1 к 1) и сохраните соответствующий контакту png-файл с тем же именем, т.е. если аватарка называлась 'ba5ce478494397060095.png', то она обязательно должна сохранить название. Затем отключите телефон от ПК и скопируйте аватарки обратно..."
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }				
		
		Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Скопировать обратно"
            onClicked: {
			    gconf.set("/apps/ancelad/enlargedavatar", "/dev/null")
			    ambiance.shell("/usr/share/duicontrolpanel/avatarsettings/avatar.sh")
				banner.notify("Выполнено!")
                }
        }
    
	    Label {
            text: "Примените изменения. Теперь ваши аватары хорошего качества!"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 26
        }
		
	    Item { //spacing
                width: 1
                height: 16
            }

	    Label {
            text: "Удалите неудачные аватарки"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 26
		}
		
        Button {
            text: "Удалить аватар"
			anchors.horizontalCenter: parent.horizontalCenter
            width: (parent.width / 2) - 8
            onClicked: {
				gconf.set("/apps/ancelad/enlargedavatar", "MyDocs")
				ambiance.shell("/usr/share/duicontrolpanel/avatarsettings/avatar.sh")
                pageStack.push(Qt.resolvedUrl("AvatarPage.qml"))
                pageStack.currentPage.selected.connect(mainPage.avatarSelected)
                }
        }
	    
		Item { //spacing
                width: 1
                height: 40
        }
	 
	    Button {
                anchors.horizontalCenter: parent.horizontalCenter
                text: "Применить изменения"
                onClicked: {
                    ambiance.shell("/usr/share/duicontrolpanel/avatarsettings/refresh.sh") 
                }
        }
	    
		Item { //spacing
                width: 1
                height: 30
        }	
		
	    Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            text:
                "<a href=\"http://talk.maemo.org/showpost.php?p=1417646&postcount=1\">Основано на этой инструкции</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
		
		Item { //spacing
                width: 1
                height: 30
        }	
            Label {
                text:"Вы можете сделать пожертвование, если вам понравилась моя работа."
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.right: parent.right
                anchors.rightMargin: 16
                horizontalAlignment: Text.AlignHCenter
                width: parent.width
            }
			
        Row {
		    height: 60
		    anchors.horizontalCenter: parent.horizontalCenter
            spacing: 10
			
            Button {              
                text: "Доллары"
				width: 140
                onClicked: {
                Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=JWTJVWF8TLCDA")
                }
            }
				
            Button {                
                text: "Рубли"
				width: 140
                onClicked: {
                Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=LNYWHR2NUCGHU")
                }
            }
				
            Button {          
                text: "Евро"
				width: 140
                onClicked: {
                Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=E33PBZ79WTQJY")
                }
			}
		}	
	    Label {
            text: "Спасибо!"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 30
		}
		
		Item { //spacing
                width: 1
                height: 30
        }
		
		ScrollDecorator {
             flickableItem: flickable
        }   	   
    }
}
}
